#
# spec file for package xsm
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xsm
Version:        1.0.3
Release:        8.4
Summary:        X Session Manager
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt) > 1.0.99
# default rsh command is ssh
Requires:       openssh
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xsm is a session manager. A session is a group of applications, each
of which has a particular state. xsm allows you to create arbitrary
sessions - for example, you might have a "light" session, a "development"
session, or an "xterminal" session. Each session can have its own set of
applications. Within a session, you can perform a "checkpoint" to save
application state, or a "shutdown" to save state and exit the session. When
you log back in to the system, you can load a specific session, and you can
delete sessions you no longer want to keep.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%config %{_sysconfdir}/X11/xsm/
%{_bindir}/xsm
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XSm
%{_mandir}/man1/xsm.1%{?ext_man}

%changelog
* Tue Feb 26 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + Use mode_t, not int, for umask return/argument value.
  + Use standard autoconf defines for mkstemp & putenv instead of
    imake leftovers.
  + install: Use sysconfdir instead of libdir for config files.
  + Add size limit to scanf string specifier.
  + Fix some gcc -Wwrite-strings warnings.
  + Terminate execl() arguments with NULL instead of 0.
  + Convert a couple last sprintf calls to snprintf.
  + Convert XtMalloc + sprintf to XtAsprintf. Depends on libXt >
    1.0.99 to ensure XtAsprintf is available.
  + config:
  - Add missing AC_CONFIG_SRCDIR
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Move man pages into their own directory.
  + man:
  - Replace hard coded man page section with substitution
    strings.
  - Remove trailing spaces and tabs.
  +  Make System() prototype for Solaris in xsm.h actually a
    prototype.
- Drop xsm.diff patch, fixed upstream.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xsm from xorg-x11. Initial version: 1.0.2.
